import { HttpHeaders } from '@angular/common/http';
import { Operation } from 'apollo-link';
export declare type HttpRequestOptions = {
    headers?: HttpHeaders;
    withCredentials?: boolean;
    useMultipart?: boolean;
};
export declare type URIFunction = (operation: Operation) => string;
export declare type FetchOptions = {
    method?: string;
    uri?: string | URIFunction;
    includeExtensions?: boolean;
    includeQuery?: boolean;
};
export declare type Options = {} & FetchOptions & HttpRequestOptions;
export declare type Body = {
    query?: string;
    variables?: Record<string, any>;
    operationName?: string;
    extensions?: Record<string, any>;
};
export declare type Context = {} & FetchOptions & HttpRequestOptions;
export declare type Request = {
    method: string;
    url: string;
    body: Body | Body[];
    options: HttpRequestOptions;
};
